Arch Linux 14

1login:Penguin2018/06/21(木) 18:25:14.05ID:QrDWDZw4
公式
https://www.archlinux.org/

ArchWiki
https://wiki.archlinux.org/

フォーラム
https://bbs.archlinux.org/

インストールガイド (英語, 日本語)
01. https://wiki.archlinux.org/index.php/Installation_guide
02. https://wiki.archlinux.jp/index.php/%E3%82%A4%E3%83%B3%E3%82%B9%E3%83%88%E3%83%BC%E3%83%AB%E3%82%AC%E3%82%A4%E3%83%89

※ 質問はインストールガイドを熟読し、ArchWiki、フォーラムを検索してから。
※ 次スレは>>980が建てること。

前スレ
Arch Linux 13
http://mao.5ch.net/test/read.cgi/linux/1506160955/

465login:Penguin2018/12/28(金) 10:23:59.02ID:URlLcwd+
テーマ変えれば?

466login:Penguin2018/12/29(土) 14:58:17.26ID:nedA7Mmc
2chのスレ一覧みたいにArchのフォーラムのトピックスの一覧を得る方法って無いですか?

467login:Penguin2018/12/29(土) 20:36:52.40ID:vQ907X07
スクレイピングすればOK

468login:Penguin2018/12/30(日) 04:42:55.67ID:j7WeXU8J
レイピングってエロいな

469login:Penguin2019/01/02(水) 18:32:28.07ID:JgGmPyCC
起動時、
a start job is running for sys-subsystem-net-devices-eth0.device
みたいな文で1:30スタックします…どうすればいいでしょうか

470login:Penguin2019/01/02(水) 23:27:42.63ID:Gve6zbwh
原因を調べたら良いと思いますよ

471login:Penguin2019/01/03(木) 06:04:58.93ID:o7hqiw+P
eth0が存在してないのに、どっかの.confにeth0って記載して見つからず止まってるとか

472login:Penguin2019/01/03(木) 12:00:52.79ID:CZKkw0Si
俺もそれなって再インスコしたら消えたけどたまに復活して。
結論はハード起因のエラーが出てたような。レノボノートだった

473login:Penguin2019/01/03(木) 13:59:46.10ID:Jocds0BW
>471
/etc/udev/rules.d/70-persistent-net.rules
のことですね

474login:Penguin2019/01/05(土) 10:28:17.03ID:3N9B5LTO
>>469の者ですが、ethではなくwlan0でした…
なんにしても、netctlでwirelessのプロファイルが起動できなかったりするので、ハード的に逝っちゃってるのやもしれません…

475login:Penguin2019/01/05(土) 11:13:40.11ID:g6X+CGAd
誰かgitの使い方を教えてください
aurのjd-gtk3を入れているのですがPKGBUILDの中では pkgver=r2355.df584e49
となっていて、pkgver()内で
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
としているので pkgver=r2350.b873831c となってしまいyayで取得すると
何回もコンパイルしようとしてしまいます
git の使い方がよく分からず何処から r2355.df584e49 が出てきたのか分かりません
とりあえずpkgver()関数を削除して対処しましたが何処が悪いのでしょうか・・・

476login:Penguin2019/01/05(土) 11:44:09.73ID:/MouzyV/
yay一部バグってるから駄目だったときはtrizenも試してみたほうがいいぞ

477login:Penguin2019/01/05(土) 14:15:57.06ID:adJIoznx
>>475
aurのメンテナです。PKGBUILDをそう書いておけばgit最新版をチェックしてくれるのでそうしているのですが、
開発が落ち着いたらjd-gtk3とjd-gtk3-gitに分離しようと思います。yayのバグでもないし、仕様です。
うっとしい場合はPKGBUILDを書き直して下さい。

478login:Penguin2019/01/05(土) 14:19:44.74ID:jzlGf4pj
そういえばfcitx-mozc-ut2はyayだとビルドできなかったな
何が原因なのか知らんけど

479login:Penguin2019/01/05(土) 15:35:23.56ID:k0xZxGrC
win10上のvagrantで入れて育て続ける(vagrant destroyとかしない)感じで運用したいんだけど
どこかに小さいイメージないかな?

utunbuだと480MBとかあるんだけど

480login:Penguin2019/01/05(土) 16:22:31.88ID:/q3AXCbd
普通にdockerhubのarchlinux/baseが152MBだが
VirtualBoxなら普通にインストールしたほうがいいかもね。base-develまで入れても500MBぐらいじゃないか?

481login:Penguin2019/01/05(土) 17:13:46.34ID:ZiuyW1nA
>>477
build()でmake -j4してるけど、makeに渡すオプションは設定出来るからPKGBUILDでは書かないほうがいいんじゃないの?
https://wiki.archlinux.jp/index.php/Makepkg#MAKEFLAGS

482login:Penguin2019/01/05(土) 19:34:26.01ID:adJIoznx
>>477
あ、それミスだわ。自分用のやつをコミットしてるっぽい。なる早で直します。

4834822019/01/05(土) 19:37:26.88ID:adJIoznx
アンカミスった。
>>480>>481

4844752019/01/06(日) 09:56:55.09ID:hjzZDWsp
>>477
レス有難う御座います。
仕様なのですね、とりあえずpkgver()関数を削除して対応してます

4854772019/01/10(木) 07:44:33.20ID:4TJqbZYG
>>481
御指摘頂いたPKGBUILDの修正が終わりました。ありがとうございました。
>>475>>484
あれから確認したのですが、レスを読み間違えていました。
PKGBUILDの中のpkgver=r2355.df584e49
の記述が古くなっていたので最新のものに合わせました。
開発版のブランチが切り替わった時に修正していなかったようです。
yayの挙動まで確認できていませんが、PKGBUILDの記述としては改善したと思います。
もし良かったら挙動の確認をお願い致します。御指摘ありがとうございました。

486login:Penguin2019/01/10(木) 08:30:40.59ID:BjrbHG9/
bash5.0は仕様変更があったみたいだけどいつ頃アップデートできるだろうか
archはbashを標準のシェルにしているから流石に時間かかるかな

487login:Penguin2019/01/10(木) 12:35:42.81ID:UDpOz2cJ
インストールディスクはzshじゃない?

488login:Penguin2019/01/10(木) 12:40:19.07ID:uSSS0Fqe
インストールはzshだ

ご丁寧にgrmlのzshrcだ

4894752019/01/11(金) 09:12:19.01ID:3n7BIh/+
>>485
すでにr2355.df584e49としてインストールしていたのでmakepkgで作成して再インストールしました
その後yay -Syuした結果、jd-gtk3のバージョンアップはされず正常な反応になりました
有難うございます

490login:Penguin2019/01/11(金) 10:05:33.40ID:kGSwbR1D
grubの後にbootしないバグが発生してるな

https://bugs.archlinux.org/task/61334
https://forum.antergos.com/topic/11214/unable-to-boot-after-update-fresh-install-doesn-t-boot-either

俺のvmware環境でもこれに遭遇して起動できない
ライブCDで入ってマウントした後にsystemd を240から239にダウングレードすればいいみたいだが

491login:Penguin2019/01/11(金) 13:31:13.02ID:3n7BIh/+
libvirt上でgrub 2:2.02-8、systemd 240.0-3の環境で起動できました
本機も同じ構成でブートできています(ブートできなかったらと思うと冷や汗ものです)

492login:Penguin2019/01/11(金) 16:05:56.96ID:aL79wkvS
>>490
起動はOKなんだけど、jackdが「メモリが取れない」とメッセージを吐いてる。239にダウングレードしたら、jackdは正常になった。

493login:Penguin2019/01/12(土) 08:51:08.68ID:pr4NTHKx
systemd systemd-sysvcompat libsystemdを239最終版に戻して
この件と脆弱性の修正来るまでうp止めとくでおk?

494login:Penguin2019/01/12(土) 09:39:51.90ID:0CKTfTbx
>>493
systemd systemd-sysvcompat libsystemd を無視するようにしてる。

495login:Penguin2019/01/15(火) 03:26:11.27ID:zIGVUD+o
急にyayが挙動おかしくなって、衝突パッケージを入れようとした時に
昨日までは「入れようとしたパッケージはこれと衝突してるけど、元のやつ消して入れ替える?」って聞いてくれてたのに
衝突が解決できないっていきなり投げ出しちゃうようになった
正確には元のパッケージ消すかY/nっていう質問自体はしてきてるのにそれに答えさせてくれずに処理が終わるから意味がわからん

同じことになってる人いる?

496login:Penguin2019/01/15(火) 07:31:36.03ID:33mIPapw
systemd がまだダメみたい。239のまま。

497login:Penguin2019/01/15(火) 15:23:27.24ID:8cf9Gfqh
>>495
うちではちゃんと質問してくれるぞ
当方gvimをインストール済みで、リポからは vim, AURからは vim-git を yay -S してみた
あとデフォルトは[y/N]のはずだが

498login:Penguin2019/01/17(木) 21:30:17.13ID:hxmLrtmG
助けてくださいwineが入りません
「エラー: cabextract: キー "Alad Wenter <alad@archlinux.org>" は無効です」
# pacman -Syu archlinux-keyring
# pacman --refresh-keys
# pacman-key --populate archlinux
# pacman -Sc
で駄目でした。チェック無視させて入れたほうがいいですかね?

499login:Penguin2019/01/17(木) 21:39:04.62ID:hxmLrtmG
494です
すみません、自己解決しました。
https://bbs.archlinux.org/viewtopic.php?pid=1825173#p1825173

500login:Penguin2019/01/18(金) 00:22:48.92ID:nxSohO00
ようやくmariadb10.3きたな
長かった

501login:Penguin2019/01/18(金) 09:47:03.22ID:nEwghKPP
IOスケジューラマルチスレッドになったらcfq消えるんだな

502login:Penguin2019/01/18(金) 11:14:20.58ID:Qt/j6PRa
wineが見つからないよう

sudo pacman -S wine
エラー: 対象が見つかりませんでした: wine

503login:Penguin2019/01/18(金) 11:24:10.77ID:PHaqVaNu
自分で調べてから人に聞け

504login:Penguin2019/01/18(金) 14:29:16.65ID:b/35IItR
multilib有効にしろ

505login:Penguin2019/01/18(金) 15:48:51.28ID:Qt/j6PRa
>>503
ありがとう、できました!

506login:Penguin2019/01/18(金) 15:49:38.48ID:Qt/j6PRa
>>504さんでした、まちがえました

507login:Penguin2019/01/18(金) 16:04:27.39ID:PHaqVaNu
何しても無能だな

508login:Penguin2019/01/18(金) 16:27:11.36ID:YnISFOyN
涙拭けよw

509login:Penguin2019/01/18(金) 23:12:52.03ID:sqSweqzO
無能すぎるw

510login:Penguin2019/01/19(土) 17:06:06.50ID:L+Aa6y+c
最近喧しい systemd の件なんですが、
systemd のユーザー service で 239 と 240 で
その挙動が違うという現象に遭遇しています。
具体的に言うと、systemd のユーザー serviceの
unit の中で LimitMEMLOCK=infinity を記述しても
バージョン240のsystemdでは、

Limit     Soft Limit Hard Limit Units
...
Max locked memory 67108864 67108864 bytes
...

になり、バージョン239のsystemdでは、

Limit     Soft Limit Hard Limit Units
...
Max locked memory unlimited unlimited bytes
...

になります。

これは、systemd 240 からの仕様なのか、バグなのか、どなたか判る方
いらっしゃらないでしょうか?

511login:Penguin2019/01/20(日) 02:23:16.72ID:xJMTNcsV
>>497
ごめんうちでもちゃんといけた

新規インストール直後にダメ、もう一回入れ直してもダメだったのに
さっきやり直したらyayまですべてまったく同じ手順なのにできた…謎い
確認してくれてありがとう

512login:Penguin2019/01/20(日) 14:21:50.17ID:nQ+1+p8a
自分のパッチ当てたカーネル使いたいんだけどそういう場合ってABSのPKGBUILD編集して追加すればいいの?

513login:Penguin2019/01/20(日) 15:42:50.17ID:J0XviEQj
公式のlinuxのPKGBUILD編集すればいいよ

514login:Penguin2019/01/20(日) 20:22:04.01ID:WOcs1DAN
頻繁な kernel アップデートに追従して行くと、
そのうちメンドクサくなってくるけどなw

515login:Penguin2019/01/20(日) 23:51:00.39ID:nQ+1+p8a
ltsにするつもりだしパッチ当ててる部分が更新されることはあんまり無いから大丈夫

新着レスの表示
レスを投稿する